<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpDictionaryTypes\Pages;

use App\Filament\Resources\DberpDictionaryTypes\DberpDictionaryTypeResource;
use App\Filament\Resources\Pages\EditRecord;

class EditDberpDictionaryType extends EditRecord
{
    protected static string $resource = DberpDictionaryTypeResource::class;

    protected function getHeaderActions(): array
    {
        return [];
    }

    /**
     * @param  array<string, mixed>  $data
     * @return array<string, mixed>
     */
    protected function mutateFormDataBeforeSave(array $data): array
    {
        unset($data['code']);

        return $data;
    }
}
